StoreStatisticNames (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.statistics, class: StoreStatisticNames

Package org.apache.hadoop.fs.statistics

# Class StoreStatisticNames

java.lang.Object
org.apache.hadoop.fs.statistics.StoreStatisticNames

@Public @Evolving public final class StoreStatisticNames extends Object
Common statistic names for object store operations..

When adding new common statistic name constants, please make them unique. By convention:

- the name of the constants are uppercase, words separated by underscores.
- the value of the constants are lowercase of the constant names.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTION_EXECUTOR_ACQUIRED`
  The name of the statistic collected for executor acquisition if a duration tracker factory is passed in to the constructor.
  `static final String`
  `ACTION_FILE_OPENED`
  A file was opened: "action_file_opened".
  `static final String`
  `ACTION_HTTP_DELETE_REQUEST`
  An HTTP DELETE request was made: "action_http_delete_request".
  `static final String`
  `ACTION_HTTP_GET_REQUEST`
  An HTTP GET request was made: "action_http_get_request".
  `static final String`
  `ACTION_HTTP_HEAD_REQUEST`
  An HTTP HEAD request was made: "action_http_head_request".
  `static final String`
  `ACTION_HTTP_PATCH_REQUEST`
  An HTTP PATCH request was made: "action_http_patch_request".
  `static final String`
  `ACTION_HTTP_POST_REQUEST`
  An HTTP POST request was made: "action_http_post_request".
  `static final String`
  `ACTION_HTTP_PUT_REQUEST`
  An HTTP PUT request was made: "action_http_put_request".
  `static final String`
  `CONDITIONAL_CREATE`
  `static final String`
  `CONDITIONAL_CREATE_FAILED`
  `static final String`
  `DELEGATION_TOKENS_ISSUED`
  "delegation_tokens_issued".
  `static final String`
  `HTTP_RESPONSE_400`
  HTTP error response: "http_response_400".
  `static final String`
  `HTTP_RESPONSE_429`
  HTTP error response: "http_response_429".
  `static final String`
  `HTTP_RESPONSE_4XX`
  Other 4XX HTTP response: "http_response_4XX".
  `static final String`
  `HTTP_RESPONSE_500`
  HTTP error response: "http_response_500".
  `static final String`
  `HTTP_RESPONSE_503`
  HTTP error response: "http_response_503".
  `static final String`
  `HTTP_RESPONSE_5XX`
  Other 5XX HTTP response: "http_response_5XX".
  `static final String`
  `MULTIPART_UPLOAD_ABORT_UNDER_PATH_INVOKED`
  `static final String`
  `MULTIPART_UPLOAD_ABORTED`
  `static final String`
  `MULTIPART_UPLOAD_COMPLETED`
  `static final String`
  `MULTIPART_UPLOAD_INSTANTIATED`
  `static final String`
  `MULTIPART_UPLOAD_LIST`
  `static final String`
  `MULTIPART_UPLOAD_PART_PUT`
  `static final String`
  `MULTIPART_UPLOAD_PART_PUT_BYTES`
  `static final String`
  `MULTIPART_UPLOAD_STARTED`
  `static final String`
  `OBJECT_BULK_DELETE_REQUEST`
  A bulk DELETE request was made: "object_bulk_delete_request".
  `static final String`
  `OBJECT_CONTINUE_LIST_REQUEST`
  Number of continued object listings made.
  `static final String`
  `OBJECT_COPY_REQUESTS`
  `static final String`
  `OBJECT_DELETE_OBJECTS`
  The count of objects deleted in delete requests.
  `static final String`
  `OBJECT_DELETE_REQUEST`
  A store's equivalent of a DELETE request was made: "object_delete_request".
  `static final String`
  `OBJECT_LIST_REQUEST`
  A store's equivalent of a paged LIST request was initiated: "object_list_request".
  `static final String`
  `OBJECT_METADATA_REQUESTS`
  An HTTP HEAD request was made: "object_metadata_request".
  `static final String`
  `OBJECT_MULTIPART_UPLOAD_ABORTED`
  Object multipart upload aborted.
  `static final String`
  `OBJECT_MULTIPART_UPLOAD_INITIATED`
  Object multipart upload initiated.
  `static final String`
  `OBJECT_MULTIPART_UPLOAD_LIST`
  Object multipart list request.
  `static final String`
  `OBJECT_PUT_BYTES`
  number of bytes uploaded.
  `static final String`
  `OBJECT_PUT_BYTES_PENDING`
  number of bytes queued for upload/being actively uploaded.
  `static final String`
  `OBJECT_PUT_REQUEST`
  Object put/multipart upload count.
  `static final String`
  `OBJECT_PUT_REQUEST_ACTIVE`
  Current number of active put requests.
  `static final String`
  `OBJECT_PUT_REQUEST_COMPLETED`
  Object put/multipart upload completed count.
  `static final String`
  `OBJECT_SELECT_REQUESTS`
  Count of S3 Select (or similar) requests issued.
  `static final String`
  `OP_ABORT`
  "op_abort".
  `static final String`
  `OP_ACCESS`
  access() API call "op_access".
  `static final String`
  `OP_APPEND`
  "op_append".
  `static final String`
  `OP_BULK_DELETE`
  "op_bulk-delete".
  `static final String`
  `OP_COPY_FROM_LOCAL_FILE`
  "op_copy_from_local_file".
  `static final String`
  `OP_CREATE`
  "op_create".
  `static final String`
  `OP_CREATE_FILE`
  "op_createfile".
  `static final String`
  `OP_CREATE_NON_RECURSIVE`
  "op_create_non_recursive".
  `static final String`
  `OP_DELETE`
  "op_delete".
  `static final String`
  `OP_EXISTS`
  "op_exists".
  `static final String`
  `OP_GET_CONTENT_SUMMARY`
  "op_get_content_summary".
  `static final String`
  `OP_GET_DELEGATION_TOKEN`
  "op_get_delegation_token".
  `static final String`
  `OP_GET_FILE_CHECKSUM`
  "op_get_file_checksum".
  `static final String`
  `OP_GET_FILE_STATUS`
  "op_get_file_status".
  `static final String`
  `OP_GET_STATUS`
  "op_get_status".
  `static final String`
  `OP_GLOB_STATUS`
  "op_glob_status".
  `static final String`
  `OP_HFLUSH`
  "op_hflush".
  `static final String`
  `OP_HSYNC`
  "op_hsync".
  `static final String`
  `OP_IS_DIRECTORY`
  "op_is_directory".
  `static final String`
  `OP_IS_FILE`
  "op_is_file".
  `static final String`
  `OP_LIST_FILES`
  "op_list_files".
  `static final String`
  `OP_LIST_LOCATED_STATUS`
  "op_list_located_status".
  `static final String`
  `OP_LIST_STATUS`
  "op_list_status".
  `static final String`
  `OP_MKDIRS`
  "op_mkdirs".
  `static final String`
  `OP_MODIFY_ACL_ENTRIES`
  "op_modify_acl_entries".
  `static final String`
  `OP_MSYNC`
  "op_msync".
  `static final String`
  `OP_OPEN`
  "op_open".
  `static final String`
  `OP_OPENFILE`
  Call to openFile() "op_openfile".
  `static final String`
  `OP_REMOVE_ACL`
  "op_remove_acl".
  `static final String`
  `OP_REMOVE_ACL_ENTRIES`
  "op_remove_acl_entries".
  `static final String`
  `OP_REMOVE_DEFAULT_ACL`
  "op_remove_default_acl".
  `static final String`
  `OP_RENAME`
  "op_rename".
  `static final String`
  `OP_SET_ACL`
  "op_set_acl".
  `static final String`
  `OP_SET_OWNER`
  "op_set_owner".
  `static final String`
  `OP_SET_PERMISSION`
  "op_set_permission".
  `static final String`
  `OP_SET_TIMES`
  "op_set_times".
  `static final String`
  `OP_TRUNCATE`
  "op_truncate".
  `static final String`
  `OP_XATTR_GET_MAP`
  Invoke `getXAttrs(Path path)`: "op_xattr_get_map".
  `static final String`
  `OP_XATTR_GET_NAMED`
  Invoke `getXAttr(Path, String)`: "op_xattr_get_named".
  `static final String`
  `OP_XATTR_GET_NAMED_MAP`
  Invoke `getXAttrs(Path path, List<String> names)`: "op_xattr_get_named_map".
  `static final String`
  `OP_XATTR_LIST`
  Invoke `listXAttrs(Path path)`: "op_xattr_list".
  `static final String`
  `STORE_CLIENT_CREATION`
  How long did any store client creation take?
  `static final String`
  `STORE_EXISTS_PROBE`
  Probe for store existing: "store_exists_probe".
  `static final String`
  `STORE_IO_RATE_LIMITED`
  Rate limiting was reported "store_io_rate_limited".
  `static final String`
  `STORE_IO_RATE_LIMITED_DURATION`
  `static final String`
  `STORE_IO_REQUEST`
  Requests made of a store: "store_io_request".
  `static final String`
  `STORE_IO_RETRY`
  IO retried: "store_io_retry".
  `static final String`
  `STORE_IO_THROTTLE_RATE`
  `static final String`
  `STORE_IO_THROTTLED`
  Requests throttled and retried: "store_io_throttled".
  `static final String`
  `SUFFIX_FAILURES`
  String to add to counters and other stats to track failures.
  `static final String`
  `SUFFIX_MAX`
  Suffix to use for a maximum value when the same key is shared across max/mean/max statistics.
  `static final String`
  `SUFFIX_MEAN`
  Suffix to use for a mean statistic value when the same key is shared across mean/mean/max statistics.
  `static final String`
  `SUFFIX_MIN`
  Suffix to use for a minimum value when the same key is shared across min/mean/max statistics.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OP_ABORT

    public static final String OP_ABORT
    "op_abort".
    See Also:
      - Constant Field Values

  - ### OP_ACCESS

    public static final String OP_ACCESS
    access() API call "op_access".
    See Also:
      - Constant Field Values

  - ### OP_APPEND

    public static final String OP_APPEND
    "op_append".
    See Also:
      - Constant Field Values

  - ### OP_BULK_DELETE

    public static final String OP_BULK_DELETE
    "op_bulk-delete".
    See Also:
      - Constant Field Values

  - ### OP_COPY_FROM_LOCAL_FILE

    public static final String OP_COPY_FROM_LOCAL_FILE
    "op_copy_from_local_file".
    See Also:
      - Constant Field Values

  - ### OP_CREATE

    public static final String OP_CREATE
    "op_create".
    See Also:
      - Constant Field Values

  - ### OP_CREATE_FILE

    public static final String OP_CREATE_FILE
    "op_createfile".
    See Also:
      - Constant Field Values

  - ### OP_CREATE_NON_RECURSIVE

    public static final String OP_CREATE_NON_RECURSIVE
    "op_create_non_recursive".
    See Also:
      - Constant Field Values

  - ### OP_DELETE

    public static final String OP_DELETE
    "op_delete".
    See Also:
      - Constant Field Values

  - ### OP_EXISTS

    public static final String OP_EXISTS
    "op_exists".
    See Also:
      - Constant Field Values

  - ### OP_GET_CONTENT_SUMMARY

    public static final String OP_GET_CONTENT_SUMMARY
    "op_get_content_summary".
    See Also:
      - Constant Field Values

  - ### OP_GET_DELEGATION_TOKEN

    public static final String OP_GET_DELEGATION_TOKEN
    "op_get_delegation_token".
    See Also:
      - Constant Field Values

  - ### OP_GET_FILE_CHECKSUM

    public static final String OP_GET_FILE_CHECKSUM
    "op_get_file_checksum".
    See Also:
      - Constant Field Values

  - ### OP_GET_FILE_STATUS

    public static final String OP_GET_FILE_STATUS
    "op_get_file_status".
    See Also:
      - Constant Field Values

  - ### OP_GET_STATUS

    public static final String OP_GET_STATUS
    "op_get_status".
    See Also:
      - Constant Field Values

  - ### OP_GLOB_STATUS

    public static final String OP_GLOB_STATUS
    "op_glob_status".
    See Also:
      - Constant Field Values

  - ### OP_IS_FILE

    public static final String OP_IS_FILE
    "op_is_file".
    See Also:
      - Constant Field Values

  - ### OP_HFLUSH

    public static final String OP_HFLUSH
    "op_hflush".
    See Also:
      - Constant Field Values

  - ### OP_HSYNC

    public static final String OP_HSYNC
    "op_hsync".
    See Also:
      - Constant Field Values

  - ### OP_IS_DIRECTORY

    public static final String OP_IS_DIRECTORY
    "op_is_directory".
    See Also:
      - Constant Field Values

  - ### OP_LIST_FILES

    public static final String OP_LIST_FILES
    "op_list_files".
    See Also:
      - Constant Field Values

  - ### OP_LIST_LOCATED_STATUS

    public static final String OP_LIST_LOCATED_STATUS
    "op_list_located_status".
    See Also:
      - Constant Field Values

  - ### OP_LIST_STATUS

    public static final String OP_LIST_STATUS
    "op_list_status".
    See Also:
      - Constant Field Values

  - ### OP_MKDIRS

    public static final String OP_MKDIRS
    "op_mkdirs".
    See Also:
      - Constant Field Values

  - ### OP_MODIFY_ACL_ENTRIES

    public static final String OP_MODIFY_ACL_ENTRIES
    "op_modify_acl_entries".
    See Also:
      - Constant Field Values

  - ### OP_MSYNC

    public static final String OP_MSYNC
    "op_msync".
    See Also:
      - Constant Field Values

  - ### OP_OPEN

    public static final String OP_OPEN
    "op_open".
    See Also:
      - Constant Field Values

  - ### OP_OPENFILE

    public static final String OP_OPENFILE
    Call to openFile() "op_openfile".
    See Also:
      - Constant Field Values

  - ### OP_REMOVE_ACL

    public static final String OP_REMOVE_ACL
    "op_remove_acl".
    See Also:
      - Constant Field Values

  - ### OP_REMOVE_ACL_ENTRIES

    public static final String OP_REMOVE_ACL_ENTRIES
    "op_remove_acl_entries".
    See Also:
      - Constant Field Values

  - ### OP_REMOVE_DEFAULT_ACL

    public static final String OP_REMOVE_DEFAULT_ACL
    "op_remove_default_acl".
    See Also:
      - Constant Field Values

  - ### OP_RENAME

    public static final String OP_RENAME
    "op_rename".
    See Also:
      - Constant Field Values

  - ### OP_SET_ACL

    public static final String OP_SET_ACL
    "op_set_acl".
    See Also:
      - Constant Field Values

  - ### OP_SET_OWNER

    public static final String OP_SET_OWNER
    "op_set_owner".
    See Also:
      - Constant Field Values

  - ### OP_SET_PERMISSION

    public static final String OP_SET_PERMISSION
    "op_set_permission".
    See Also:
      - Constant Field Values

  - ### OP_SET_TIMES

    public static final String OP_SET_TIMES
    "op_set_times".
    See Also:
      - Constant Field Values

  - ### OP_TRUNCATE

    public static final String OP_TRUNCATE
    "op_truncate".
    See Also:
      - Constant Field Values

  - ### OP_XATTR_GET_MAP

    public static final String OP_XATTR_GET_MAP
    Invoke `getXAttrs(Path path)`: "op_xattr_get_map".
    See Also:
      - Constant Field Values

  - ### OP_XATTR_GET_NAMED

    public static final String OP_XATTR_GET_NAMED
    Invoke `getXAttr(Path, String)`: "op_xattr_get_named".
    See Also:
      - Constant Field Values

  - ### OP_XATTR_GET_NAMED_MAP

    public static final String OP_XATTR_GET_NAMED_MAP
    Invoke `getXAttrs(Path path, List<String> names)`: "op_xattr_get_named_map".
    See Also:
      - Constant Field Values

  - ### OP_XATTR_LIST

    public static final String OP_XATTR_LIST
    Invoke `listXAttrs(Path path)`: "op_xattr_list".
    See Also:
      - Constant Field Values

  - ### DELEGATION_TOKENS_ISSUED

    public static final String DELEGATION_TOKENS_ISSUED
    "delegation_tokens_issued".
    See Also:
      - Constant Field Values

  - ### STORE_CLIENT_CREATION

    public static final String STORE_CLIENT_CREATION
    How long did any store client creation take?
    See Also:
      - Constant Field Values

  - ### STORE_EXISTS_PROBE

    public static final String STORE_EXISTS_PROBE
    Probe for store existing: "store_exists_probe".
    See Also:
      - Constant Field Values

  - ### STORE_IO_THROTTLED

    public static final String STORE_IO_THROTTLED
    Requests throttled and retried: "store_io_throttled".
    See Also:
      - Constant Field Values

  - ### STORE_IO_RATE_LIMITED

    public static final String STORE_IO_RATE_LIMITED
    Rate limiting was reported "store_io_rate_limited".
    See Also:
      - Constant Field Values

  - ### STORE_IO_REQUEST

    public static final String STORE_IO_REQUEST
    Requests made of a store: "store_io_request".
    See Also:
      - Constant Field Values

  - ### STORE_IO_RETRY

    public static final String STORE_IO_RETRY
    IO retried: "store_io_retry".
    See Also:
      - Constant Field Values

  - ### STORE_IO_RATE_LIMITED_DURATION

    public static final String STORE_IO_RATE_LIMITED_DURATION
    See Also:
      - Constant Field Values

  - ### OBJECT_LIST_REQUEST

    public static final String OBJECT_LIST_REQUEST
    A store's equivalent of a paged LIST request was initiated: "object_list_request".
    See Also:
      - Constant Field Values

  - ### OBJECT_CONTINUE_LIST_REQUEST

    public static final String OBJECT_CONTINUE_LIST_REQUEST
    Number of continued object listings made. Value :"object_continue_list_request".
    See Also:
      - Constant Field Values

  - ### OBJECT_BULK_DELETE_REQUEST

    public static final String OBJECT_BULK_DELETE_REQUEST
    A bulk DELETE request was made: "object_bulk_delete_request". A separate statistic from `OBJECT_DELETE_REQUEST` so that metrics on duration of the operations can be distinguished.
    See Also:
      - Constant Field Values

  - ### OBJECT_DELETE_REQUEST

    public static final String OBJECT_DELETE_REQUEST
    A store's equivalent of a DELETE request was made: "object_delete_request". This may be an HTTP DELETE verb, or it may be some custom operation which takes a list of objects to delete.
    See Also:
      - Constant Field Values

  - ### OBJECT_DELETE_OBJECTS

    public static final String OBJECT_DELETE_OBJECTS
    The count of objects deleted in delete requests.
    See Also:
      - Constant Field Values

  - ### OBJECT_MULTIPART_UPLOAD_INITIATED

    public static final String OBJECT_MULTIPART_UPLOAD_INITIATED
    Object multipart upload initiated. Value :"object_multipart_initiated".
    See Also:
      - Constant Field Values

  - ### OBJECT_MULTIPART_UPLOAD_ABORTED

    public static final String OBJECT_MULTIPART_UPLOAD_ABORTED
    Object multipart upload aborted. Value :"object_multipart_aborted".
    See Also:
      - Constant Field Values

  - ### OBJECT_MULTIPART_UPLOAD_LIST

    public static final String OBJECT_MULTIPART_UPLOAD_LIST
    Object multipart list request. Value :"object_multipart_list".
    See Also:
      - Constant Field Values

  - ### OBJECT_PUT_REQUEST

    public static final String OBJECT_PUT_REQUEST
    Object put/multipart upload count. Value :"object_put_request".
    See Also:
      - Constant Field Values

  - ### OBJECT_PUT_REQUEST_COMPLETED

    public static final String OBJECT_PUT_REQUEST_COMPLETED
    Object put/multipart upload completed count. Value :"object_put_request_completed".
    See Also:
      - Constant Field Values

  - ### OBJECT_PUT_REQUEST_ACTIVE

    public static final String OBJECT_PUT_REQUEST_ACTIVE
    Current number of active put requests. Value :"object_put_request_active".
    See Also:
      - Constant Field Values

  - ### OBJECT_PUT_BYTES

    public static final String OBJECT_PUT_BYTES
    number of bytes uploaded. Value :"object_put_bytes".
    See Also:
      - Constant Field Values

  - ### OBJECT_PUT_BYTES_PENDING

    public static final String OBJECT_PUT_BYTES_PENDING
    number of bytes queued for upload/being actively uploaded. Value :"object_put_bytes_pending".
    See Also:
      - Constant Field Values

  - ### OBJECT_SELECT_REQUESTS

    public static final String OBJECT_SELECT_REQUESTS
    Count of S3 Select (or similar) requests issued. Value :"object_select_requests".
    See Also:
      - Constant Field Values

  - ### SUFFIX_MIN

    public static final String SUFFIX_MIN
    Suffix to use for a minimum value when the same key is shared across min/mean/max statistics. Value ".min".
    See Also:
      - Constant Field Values

  - ### SUFFIX_MAX

    public static final String SUFFIX_MAX
    Suffix to use for a maximum value when the same key is shared across max/mean/max statistics. Value ".max".
    See Also:
      - Constant Field Values

  - ### SUFFIX_MEAN

    public static final String SUFFIX_MEAN
    Suffix to use for a mean statistic value when the same key is shared across mean/mean/max statistics. Value ".mean".
    See Also:
      - Constant Field Values

  - ### SUFFIX_FAILURES

    public static final String SUFFIX_FAILURES
    String to add to counters and other stats to track failures. This comes before the .min/.mean//max suffixes. Value ".failures".
    See Also:
      - Constant Field Values

  - ### ACTION_EXECUTOR_ACQUIRED

    public static final String ACTION_EXECUTOR_ACQUIRED
    The name of the statistic collected for executor acquisition if a duration tracker factory is passed in to the constructor. "action_executor_acquired".
    See Also:
      - Constant Field Values

  - ### ACTION_FILE_OPENED

    public static final String ACTION_FILE_OPENED
    A file was opened: "action_file_opened".
    See Also:
      - Constant Field Values

  - ### ACTION_HTTP_HEAD_REQUEST

    public static final String ACTION_HTTP_HEAD_REQUEST
    An HTTP HEAD request was made: "action_http_head_request".
    See Also:
      - Constant Field Values

  - ### ACTION_HTTP_GET_REQUEST

    public static final String ACTION_HTTP_GET_REQUEST
    An HTTP GET request was made: "action_http_get_request".
    See Also:
      - Constant Field Values

  - ### ACTION_HTTP_DELETE_REQUEST

    public static final String ACTION_HTTP_DELETE_REQUEST
    An HTTP DELETE request was made: "action_http_delete_request".
    See Also:
      - Constant Field Values

  - ### ACTION_HTTP_PUT_REQUEST

    public static final String ACTION_HTTP_PUT_REQUEST
    An HTTP PUT request was made: "action_http_put_request".
    See Also:
      - Constant Field Values

  - ### ACTION_HTTP_PATCH_REQUEST

    public static final String ACTION_HTTP_PATCH_REQUEST
    An HTTP PATCH request was made: "action_http_patch_request".
    See Also:
      - Constant Field Values

  - ### HTTP_RESPONSE_400

    public static final String HTTP_RESPONSE_400
    HTTP error response: "http_response_400".
    See Also:
      - Constant Field Values

  - ### HTTP_RESPONSE_429

    public static final String HTTP_RESPONSE_429
    HTTP error response: "http_response_429". Returned by some stores for throttling events.
    See Also:
      - Constant Field Values

  - ### HTTP_RESPONSE_4XX

    public static final String HTTP_RESPONSE_4XX
    Other 4XX HTTP response: "http_response_4XX". (404 responses are excluded as they are rarely 'errors' and will be reported differently if they are.
    See Also:
      - Constant Field Values

  - ### HTTP_RESPONSE_500

    public static final String HTTP_RESPONSE_500
    HTTP error response: "http_response_500". Sign of server-side problems, possibly transient
    See Also:
      - Constant Field Values

  - ### HTTP_RESPONSE_503

    public static final String HTTP_RESPONSE_503
    HTTP error response: "http_response_503". AWS Throttle.
    See Also:
      - Constant Field Values

  - ### HTTP_RESPONSE_5XX

    public static final String HTTP_RESPONSE_5XX
    Other 5XX HTTP response: "http_response_5XX".
    See Also:
      - Constant Field Values

  - ### ACTION_HTTP_POST_REQUEST

    public static final String ACTION_HTTP_POST_REQUEST
    An HTTP POST request was made: "action_http_post_request".
    See Also:
      - Constant Field Values

  - ### OBJECT_METADATA_REQUESTS

    public static final String OBJECT_METADATA_REQUESTS
    An HTTP HEAD request was made: "object_metadata_request".
    See Also:
      - Constant Field Values

  - ### OBJECT_COPY_REQUESTS

    public static final String OBJECT_COPY_REQUESTS
    See Also:
      - Constant Field Values

  - ### STORE_IO_THROTTLE_RATE

    public static final String STORE_IO_THROTTLE_RATE
    See Also:
      - Constant Field Values

  - ### MULTIPART_UPLOAD_INSTANTIATED

    public static final String MULTIPART_UPLOAD_INSTANTIATED
    See Also:
      - Constant Field Values

  - ### MULTIPART_UPLOAD_PART_PUT

    public static final String MULTIPART_UPLOAD_PART_PUT
    See Also:
      - Constant Field Values

  - ### MULTIPART_UPLOAD_PART_PUT_BYTES

    public static final String MULTIPART_UPLOAD_PART_PUT_BYTES
    See Also:
      - Constant Field Values

  - ### MULTIPART_UPLOAD_ABORTED

    public static final String MULTIPART_UPLOAD_ABORTED
    See Also:
      - Constant Field Values

  - ### MULTIPART_UPLOAD_ABORT_UNDER_PATH_INVOKED

    public static final String MULTIPART_UPLOAD_ABORT_UNDER_PATH_INVOKED
    See Also:
      - Constant Field Values

  - ### MULTIPART_UPLOAD_COMPLETED

    public static final String MULTIPART_UPLOAD_COMPLETED
    See Also:
      - Constant Field Values

  - ### MULTIPART_UPLOAD_STARTED

    public static final String MULTIPART_UPLOAD_STARTED
    See Also:
      - Constant Field Values

  - ### MULTIPART_UPLOAD_LIST

    public static final String MULTIPART_UPLOAD_LIST
    See Also:
      - Constant Field Values

  - ### CONDITIONAL_CREATE

    public static final String CONDITIONAL_CREATE
    See Also:
      - Constant Field Values

  - ### CONDITIONAL_CREATE_FAILED

    public static final String CONDITIONAL_CREATE_FAILED
    See Also:
      - Constant Field Values